com.fasterxml.jackson.dataformat.protobuf.schema

## Enum FileDescriptorSet.FieldDescriptorProto.Label

- java.lang.Object
- - java.lang.Enum<FileDescriptorSet.FieldDescriptorProto.Label>
  - - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FieldDescriptorProto.Label

- All Implemented Interfaces:
    Serializable, Comparable<FileDescriptorSet.FieldDescriptorProto.Label>
  Enclosing class:
    FileDescriptorSet.FieldDescriptorProto

      public static enum FileDescriptorSet.FieldDescriptorProto.Label
      extends Enum<FileDescriptorSet.FieldDescriptorProto.Label>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LABEL_OPTIONAL`
    `LABEL_REPEATED`
    `LABEL_REQUIRED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileDescriptorSet.FieldDescriptorProto.Label` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileDescriptorSet.FieldDescriptorProto.Label[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LABEL_OPTIONAL

          public static final FileDescriptorSet.FieldDescriptorProto.Label LABEL_OPTIONAL

    - #### LABEL_REQUIRED

          public static final FileDescriptorSet.FieldDescriptorProto.Label LABEL_REQUIRED

    - #### LABEL_REPEATED

          public static final FileDescriptorSet.FieldDescriptorProto.Label LABEL_REPEATED

  - ### Method Detail

    - #### values

          public static FileDescriptorSet.FieldDescriptorProto.Label[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileDescriptorSet.FieldDescriptorProto.Label c : FileDescriptorSet.FieldDescriptorProto.Label.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileDescriptorSet.FieldDescriptorProto.Label valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 FasterXML. All rights reserved.